#!/usr/bin/env python

import os
import os.path
import subprocess
import sys

#
# Run a program, appending its process id to its output file name
#

program = ['echo', 'ERROR']

if len(sys.argv) < 2:
    print ""
    print "Usage:  out.PID  program  outfile"
    print "   or   out.PID  -o outfile  program  [program_args]"
    print ""
    exit()

elif sys.argv[1] == "-o" or sys.argv[1] == "-out":
    out = sys.argv[2]
    program = sys.argv[3:]
else:
    out = sys.argv[2]
    program = [sys.argv[1]]

subprocess.call(program, stdout=open(out + "." + str(os.getpid())))
