#!/usr/bin/env python
#
# Convert one tree per line into PAUP (NEXUS) tree file
# Accepts input from named file(s) or standard input
#
import sys

def toutree(array):
    linenum = 1
    for line in array:
        print '  utree ' + str(linenum) + ' = ' + str(line).rstrip('\r\n')
        linenum += 1

print "#NEXUS"
print ""
print "Begin Trees;"

if len(sys.argv) < 2:
    toutree(sys.stdin.readlines())
else:
    for param in sys.argv[1:]:
        file_h = open(param, 'r')
        toutree(file_h)
        file_h.close()

print "Endblock;"
