#!/usr/bin/env python
#
# usertree shell script
#
#  Modified July 14, 1992 to accept phylip_tree prolog fact.
""" ensure that there are enough command line arguments to parse """
import re
import sys

if len(sys.argv) < 2:
    print("Usage: usertree.py  treefile [ L ]");
    exit();

FILE = str(sys.argv[1])
L_PARAM = ''

if len(sys.argv) >= 3:
    L_PARAM = sys.argv[2]

print sys.stdin.readline().rstrip('\n') + " U " + L_PARAM

for line in sys.stdin.readlines():
    print line.rstrip('\r\n')

count = 0
fstring = ""
FHANDLE = open(FILE, 'r')
for line in FHANDLE:
    if re.search('((;)|(\)\.))[ 	]*$', line):
        count = count + 1
    fstring = fstring + line
FHANDLE.close()

print "\t" + str(count)
sys.stdout.write(fstring)
